<h4 class="font-weight-bold py-3 mb-4 col-md-6">
    Add New Role
</h4>

<div class="card mb-4">
    <h6 class="card-header">
        Enter the role information
        <a href="javascript:void(0)" class="pull-right btn btn-primary" (click)="navigateToRoleList()">Role List</a>
    </h6>

    <div class="card-body">
        <form [formGroup]="addRole" (ngSubmit)="addNewRole(addRole.value)">
            <div class="form-row">
                <div class="form-group col-md-6">
                    <label class="form-label">Role</label>
                    <input [formControl]="addRole.controls['role']" name="role" type="text" class="form-control" placeholder="Role"
                        [ngClass]="{'is-invalid':!addRole.controls['role'].valid && addRole.controls['role'].touched}">
                    <div *ngIf="addRole.controls['role'].hasError('required') && addRole.controls['role'].touched" class="invalid-feedback">You must include a Role.</div>
                </div>
                <div class="form-group col-md-6">
                    <label class="form-label">Description</label>
                    <input [formControl]="addRole.controls['description']" name="description" type="text" class="form-control" placeholder="Description"
                        [ngClass]="{'is-invalid':!addRole.controls['description'].valid && addRole.controls['description'].touched}">
                    <div *ngIf="addRole.controls['description'].hasError('required') && addRole.controls['description'].touched" class="invalid-feedback">You must include a Description.</div>
                </div>
            </div>
            <hr/>
            <button [ladda]="isloading" data-style="expand-left" type="submit" class="btn btn-outline-primary" [disabled]="!addRole.valid">Create Role</button>
        </form>
    </div>
</div>
<ngb-alert [type]="alertType" (click)="isAlert=false" *ngIf="isAlert">{{alertMessage}}</ngb-alert>
<!-- <div class="card bg-success">
    <div class="card-body">
        <h6>User added successfully</h6>
    </div>
</div> -->